View Issue Details

IDProjectCategoryView StatusLast Update
0002991SymmetricDSBugpublic2017-04-06 09:44
ReportermmichalekAssigned Tomaxwellpettit 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.19 
Target Version3.8.19Fixed in Version3.8.19 
Summary0002991: Routing still runs with start.route.job=false
DescriptionRouting will still run with start.route.job=false. The job doesn't start up, but the push will manually force a route. This is surprising behavior when a user is trying to temporarily disable routing.

Also add a new parameter of route.on.push (defaults to false) which will perform a manual route whenever the push job runs.
TagsNo tags attached.

Activities

maxwellpettit

2017-03-21 13:40

developer   ~0000979

Added parameter route.on.extract that defaults to false. If set to true, this will force a route whenever extract is called

Related Changesets

SymmetricDS: 3.8 8012bcf2

2017-03-21 13:32:29

maxwellpettit

Details Diff
0002991: Routing still runs with start.route.job=false
0002991
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 5fe619b6

2017-03-22 13:24:26

maxwellpettit

Details Diff
0002991: Routing still runs with start.route.job=false
0002991
mod - symmetric-core/src/test/resources/symmetric-test.properties Diff File

Issue History

Date Modified Username Field Change
2017-02-08 12:02 mmichalek New Issue
2017-02-08 12:02 mmichalek Status new => assigned
2017-02-08 12:02 mmichalek Assigned To => mmichalek
2017-02-08 12:09 mmichalek Description Updated View Revisions
2017-03-15 14:58 chenson Assigned To mmichalek => maxwellpettit
2017-03-15 14:58 chenson Product Version 3.9.0 => 3.8.19
2017-03-15 14:58 chenson Target Version 3.9.0 => 3.8.19
2017-03-21 13:40 maxwellpettit Note Added: 0000979
2017-03-21 13:40 maxwellpettit Status assigned => resolved
2017-03-21 13:40 maxwellpettit Fixed in Version => 3.8.19
2017-03-21 13:40 maxwellpettit Resolution open => fixed
2017-03-21 14:00 maxwellpettit Changeset attached => SymmetricDS 3.8 8012bcf2
2017-03-22 14:00 maxwellpettit Changeset attached => SymmetricDS 3.8 5fe619b6
2017-04-06 09:44 chenson Status resolved => closed